> For clean Markdown of any page, append `.md` to the page URL. > For a complete documentation index, see https://docs.sarvam.ai/llms.txt. > For full documentation content in one file, see https://docs.sarvam.ai/llms-full.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server. # List runs GET https://apps.sarvam.ai/api/evals/v1/{org_id}/{workspace_id}/test-suites/{test_suite_id}/runs Newest first. Pass `scope` to see only whole-suite runs or only single-test-case runs. Reference: https://docs.sarvam.ai/conversations/api/tests/runs/list ## Request ### Path parameters - `org_id` (string, required) — Organization ID - `workspace_id` (string, required) — Workspace ID - `test_suite_id` (string, required) ### Query parameters - `scope` (enum, optional) — Which kind of run to list. - Allowed values: `suite`, `test_case` - `offset` (integer, optional, default: 0) - `limit` (integer, optional, default: 20) ### Headers - `X-API-Key` (string, required) — Your workspace API key. ## Response ### 200 Successful Response - `items` (list of RunListEntry, required) - `total` (integer, required) - `limit` (integer, required) - `offset` (integer, required) - `next_page_uri` (string, optional, nullable) - `prev_page_uri` (string, optional, nullable) ## Errors ### 401 Unauthorized Error No Bearer token or X-API-Key was supplied, or it is invalid. - `error` (ErrorBody, required) — Details of the error that occurred. ### 403 Forbidden Error The credential is not valid for this org or workspace. - `error` (ErrorBody, required) — Details of the error that occurred. ### 404 Not Found Error No such resource in this org and workspace. - `error` (ErrorBody, required) — Details of the error that occurred. ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 429 Too Many Requests Error Rate limit exceeded for this caller. - `error` (ErrorBody, required) — Details of the error that occurred. ## Types ### RunListEntry - `run_id` (string, required) - `test_suite_id` (string, required) - `app_id` (string, required) - `app_version` (integer, required) - `scope` (enum, required) - Allowed values: `suite`, `test_case` - `status` (string, required) - `frequency` (integer, required) - `total_executions` (integer, required) - `completed_executions` (integer, required) - `total_pass` (integer, required) - `created_by` (Actor, required) - `created_at` (datetime, required) - `run_name` (string, optional, nullable) - `app_name` (string, optional, nullable) ### ErrorBody Details of the error that occurred. - `code` (string, required) — A service-specific error code. - `message` (string, required) — A human-readable description of the error. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### Actor - `type` (enum, required) — Whether a user or an API key performed the action. - Allowed values: `user`, `api_key` - `id` (string, required) — User identifier for `user`; the key prefix for `api_key`. ### ValidationErrorLocItems ## Examples **Response** ```json { "items": [ { "run_id": "01K5T9C4XR7NB2QJ5WD8HKTM0E", "test_suite_id": "01K5T8A2MZQ4VE6XCJ0RDBHW7N", "app_id": "clinic-front-desk", "app_version": 4, "scope": "suite", "status": "completed", "frequency": 2, "total_executions": 16, "completed_executions": 16, "total_pass": 14, "created_by": { "type": "api_key", "id": "sk_live_7f3ab1" }, "created_at": "2026-09-16T05:01:12Z", "run_name": "Pre-release check, v4", "app_name": "Clinic Front Desk" } ], "total": 12, "limit": 20, "offset": 0, "next_page_uri": null, "prev_page_uri": null } ``` **SDK Code** ```python import requests url = "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/evals/v1/org_id/workspace_id/test-suites/test_suite_id/runs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```